
Figure - Bug #116326
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】时钟小窗部分页面在直接打开小窗和在应用进程卡片小窗按钮处打开显示有差
异
2023-02-17 10:39 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-17

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302170248

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0076.X101

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 引起问题的原因是由于冷热启动的时候,Clock会引用不同的布局文件,冷启动小窗时,由于窗口变小,所以使用的是port Layout,热启动的时候会使用上次全屏保持的config,所以它使用的是land layout, 才导致文件布局不一样

Description

【测试步骤】

1、长按时钟图标打开小窗or在recent小窗应用列表中打开时钟小窗

2、先打开时钟应用，再进recent中点击时钟进程卡片又上角的小窗按钮

【预期结果】

遍历所有时钟页面，步骤一和步骤二中页面显示一致

【实际结果】

1、定时器页面显示不一致

2、秒表计时页面显示不一致

3、时钟页面显示不一致

History

#1 - 2023-02-17 20:35 - CD FW-鲁凯峰

- Root cause set to 引起问题的原因是由于冷热启动的时候,Clock会引用不同的布局文件,冷启动小窗时,由于窗口变小,所以使用的是port Layout,热启动的时候

会使用上次全屏保持的config,所以它使用的是land layout, 才导致文件布局不一样

■ Current conclusion

问题已经解决

■ My analysis

引起问题的原因是由于冷热启动的时候,Clock会引用不同的布局文件,冷启动小窗时,由于窗口变小,所以使用的是port Layout,热启动的时候会使用上次全屏

保持的config,所以它使用的是land layout, 才导致文件布局不一样

修改方法,在小窗模式下,全部使用land layout

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/packages/apps/DeskClock/+/182700
http://10.0.232.3:3307/gerrit/c/general/platform/packages/apps/DeskClock/+/182700


ID Project Branch Uploader

182700 general/platform/packages/apps/Desk

Clock

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF: DeskClock: update clock layoutuse land layout even if in freeform modeTC-RID: 1201-0300901IssueID: TS-R-BUG-116326Change-Id:

Ia6c6c4dedd075f44704de6a5d2fd6efa2d2ec591

#3 - 2023-02-20 18:11 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

#4 - 2023-02-22 13:50 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0076.X101

2.22

验证通过

#5 - 2023-02-22 13:50 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
